Ubuntu

[RV530] screen flickers in lucid lynx [Needs pll quirk]

Reported by mckeimic on 2010-03-20
104
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: xorg

Starting as ubuntu (lucid lynx beta out of the box) boot screen appears, the entire screen begins flickering with horizantal lines across. The image sometimes jumps up and down making it very distracting and sometimes impossible to read the screen at all. The screen was all but illegible last boot.

ProblemType: Bug
Architecture: i386
Date: Sat Mar 20 22:34:42 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
GdmLog1: Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.1'] failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or directory
GdmLog2: Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: Hewlett-Packard HP COMPAQ nc8430
Package: xorg 1:7.5+3ubuntu1
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: xorg
Symptom: display
Uname: Linux 2.6.32-16-generic i686
dmi.bios.date: 11/23/2007
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68YVD Ver. F.15
dmi.board.name: 30A3
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 40.19
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68YVDVer.F.15:bd11/23/2007:svnHewlett-Packard:pnHPCOMPAQnc8430:pvrF.15:rvnHewlett-Packard:rn30A3:rvrKBCVersion40.19:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP COMPAQ nc8430
dmi.product.version: F.15
dmi.sys.vendor: Hewlett-Packard
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-16-generic

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M56P [Radeon Mobility X1600] [1002:71c5]

mckeimic (mckeimic-gmail) wrote :
Bryce Harrington (bryce) on 2010-03-21
affects: xorg (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Bryce Harrington (bryce) on 2010-03-21
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Robert Hooker (sarvatt) on 2010-03-22
summary: - screen flickers in lucid lynx
+ [RV530] screen flickers in lucid lynx
description: updated
tags: added: flicker
removed: corruption

Can you try booting with radeon.new_pll=0 added to your kernel command line to see if it fixes the issue? Hold shift while you are booting, select the kernel and press e to edit it, then go down to the line which has quiet splash on it and add radeon.new_pll=0 to the end, and press control+x to boot it.

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
Robert Hooker (sarvatt) wrote :

Can you try booting with radeon.new_pll=0 added to your kernel command line to see if it fixes the issue? Hold shift while you are booting, select the kernel and press e to edit it, then go down to the line which has quiet splash on it and add radeon.new_pll=0 to the end, and press control+x to boot it.

Joachim Haga (jobh) wrote :

I see corruption on X1400 with external VGA screen (Thinkpad T60), possibly the same issue? The corruption looks like every other line is offset by a few (up to 10 or so) pixels, like a badly interlaced movie, and the amount of offset moves in waves. For me, this is fixed by changing (in Display Settings / xrandr) to the internal screen and then back. The display is then fine until next reboot.

I tried setting radeon.new_pll=0; this did not fix the issue, but it changed the appearance of the corruption somewhat (smaller offset perhaps? And no longer every second line, but maybe two and two lines).

Bryce Harrington (bryce) on 2010-03-22
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
status: New → Incomplete
magnunor (magnunor) wrote :

Adding radeon.new_pll=0 to the kernel command solved the issue for me.

Radeon Mobility X1600, HP Compaq nc8430.

Robert Hooker (sarvatt) wrote :

Ah sorry, magnunor can you please file a new bug with ubuntu-bug xserver-xorg-video-ati and subscribe Sarvatt to it so we can collect more detailed info on your machine that needs new_pll=0? I thought you were the original reporter.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
tags: added: needs-pll-quirk
Bryce Harrington (bryce) wrote :

Another one needing the pll quirk... refiling to the kernel team.

affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)
Bryce Harrington (bryce) on 2010-03-25
summary: - [RV530] screen flickers in lucid lynx
+ [RV530] screen flickers in lucid lynx [Needs pll quirk]
Steve Conklin (sconklin) wrote :

I've built a test kernel with Robert Hooker's patch on top of the Lucid tip, please test it and see if it resolves the problem.

The kernels are here:

http://people.canonical.com/~sconklin/test-i915/

Thanks!

Changed in linux (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
status: Incomplete → In Progress

Linux kernel version 2.6.32-20-generic fixes the problem on my computer.

Jeremy Foshee (jeremyfoshee) wrote :

mckeimic,
     Please test against the latest kernel to see if this resolves your issue.

Thanks!

~JFo

James Pursey (jamespursey) wrote :

I confirm. Had the same horizontal flickering when I installed Beta 2 on my laptop this morning. The problem disappeared after I updated the system and rebooted.

Valentin Longchamp (longfield) wrote :

Adding the new_pll=0 to the radeon driver solved the problem for my LVDS monitor on my T60p. However, when I try to hook an external monitor, the output on the second monitor also has a flickering issue that did not disappear with this option.

Valentin Longchamp (longfield) wrote :

Hum, my problem for the external screen is not related to this bug (so the radeon option solved my problem for LVDS flickering). The external screen problem is this bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/541501

tags: added: kernel-graphics kernel-reviewed
Jean-Jacques Finazzi (mrjay01) wrote :

Adding radeon.new_pll=0 to the kernel command line solved the issue for me.

So I added this (radeon.new_pll=0) for the GRUB bootloader. It's in the /etc/default/grub file in the GRUB_CMDLINE_LINUX_DEFAULT parameter (now it is: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash radeon.new_pll=0").

Laptop: ASUS Z53J series, MODEL=Z53J, MB ver.=F3JP, embedded VGA card=Radeon Mobility X1700.
Ubuntu flavour: KUbuntu.
No problem with Karmic Koala, the problem appeared after an upgrade to Lucid Lynx. Moreover, it appears after a fresh install of Lucid Lynx or while usind the Live-CD.
Problem: the screen flickers after the boot splash screen or just after login in and moving the mouse (apparently). The screen is unreadable.

Result of lspci -v (for the VGA part) :
01:00.0 VGA compatible controller: ATI Technologies Inc M66-P [Mobility Radeon X1700]
        Subsystem: ASUSTeK Computer Inc. Device 1242
        Flags: bus master, fast devsel, latency 0, IRQ 29
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        I/O ports at b000 [size=256]
        Memory at fdff0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at fdfc0000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: radeon
        Kernel modules: radeon

Should I file a new bug report for more details ?

Steve Conklin (sconklin) wrote :

This sounds a lot like an issue that's been fixed upstream. I'll see about getting a test kernel built.

Steve Conklin (sconklin) wrote :

I have prepared a test kernel with an upstream patch that has solved this
problem for some models of graphics card.

I would appreciate it if anyone who has the problem could test this kernel
and report on whether it solves the problem for you.

http://people.canonical.com/~sconklin/radeon_flicker/

The code used to build this kernel is in the "flicker" branch of my public git tree:

http://kernel.ubuntu.com/git?p=sconklin/ubuntu-lucid.git;a=shortlog;h=refs/heads/flicker

tonighx (tonighx) wrote :

also affects ATI mobility radeon X2300
boot with radeon.new_pll=0 solves the issue

lspci -s 01:00.0 -v
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon X2300
 Subsystem: ASUSTeK Computer Inc. Device 1449
 Flags: bus master, fast devsel, latency 0, IRQ 27
 Memory at d0000000 (32-bit, prefetchable) [size=128M]
 I/O ports at a800 [size=256]
 Memory at fa9f0000 (32-bit, non-prefetchable) [size=64K]
 Expansion ROM at fa9c0000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: radeon
 Kernel modules: radeon

uname -rm
2.6.32-22-generic i686

cne007 (lepelerin2002) wrote :

T60, ATI Technologies Inc Radeon Mobility X1400, just installed 10.04LTS, 2.6.32-24-generic i686, my external LCD TV was flickering.
Adding radeon.new_pll=0 to GRUB fixed the issue,
Tx

cne007 (lepelerin2002) wrote :

added radeon.new_pll=0, it seems to do the trick on my T60 ATI Radeon Mobility X1400.
2.6.32-24-generic - Ubuntu i686

I am on a HP Compaq nw8440 with a Radeon Mobility X1600. adding the radeon.new_pll=0 to the kernel boot params removed the flickering. However the LCD are still not recognised - it reports (in Monitor Preferences) "Monitor: Unknown"... And compiz doesn't start either.

Ivan (vanusha1995) wrote :

I have the same problem. Adding radeon.new_pll=0 to the kernel command line solved the issue for me.
A big thanks for this answer. I also have problems with a strange sound that come from my laptop.

My laptop:
Asus F3JP
ATI X1700

A big thanks for your work! Sorry, isn't wery well.

Ivan (vanusha1995) wrote :

I have the same problem. Adding radeon.new_pll=0 to the kernel command line solved the issue for me.
A big thanks for this answer. I also have problems with a strange sound that come from my laptop and this problem is dissapear after I wrote radeon.new_pll=0.

My laptop:
Asus F3JP
ATI X1700

A big thanks for your work! Sorry, my English isn't wery well.

braikar (braikar) wrote :

I have the same problem with an Nvidia graphic card.

At first I thought it was due to a dodgy update, I have 9.10 installed. So I tried to reinstall 10.04 to fix it... Just booting on the live CD I have the same strange flickering...
On 9.10 changing the graphic drivers or resetting xorg.conf changed nothing, that problem started appearing some 2 months ago after an update, unfortunately I didn't mark down which update, because I thought it would get fixed quickly in the following updates...

Just booting the live CD for 10.04 x64 and I have that flickering that is really annoying. I like ubuntu, but with that constant problem I'll have no choice but to switch to some other dist. or windows...
That's how it looks: http://www.youtube.com/watch?v=u3nnLv0cubU
I cannot record it with gtkrecordmydesktop or anything like that because when doing that it shows no flickering at all on the recorded video.

I have a Nforce680 chipset, geforce8600GT (DVI output).

Is there any option like radeon.new_pll=0 but for nvidia graphic cards?

braikar (braikar) wrote :

Forget my problem (with the nvidia...)! Ubuntu works fine on my computer, no flicker at all. I finally figured out it was the screen :s I'd never thought a screen repaired just some months ago for another problem could go bad again... Depending on what color was on the screen made the screen flicker more or less... that's why it didn't almost flicker in windows, different colors :|
Never buy a Hyundai W240D...
Sorry for the wrong bug report

Ivan (vanusha1995) wrote :

My flickers was to bad. I could not see the screen from behind them. In general, I have not seen anything except for them.
And did you fixed it in ubuntu 10.10??

JustMe007 (justme007) wrote :

I've got the same problem, adding radeon.new_pll=0 to the kernel seems to help. The only problem is that the scrollbar (Firefox, Thunderbird, Nautilus, ...) still flickers a bit.

Laptop:

Asus Z53JR
ATI Mobility Radeon X2300

OS: Ubuntu 10.04.1
uname -rm: 2.6.32-25-generic i686

Marko (mr-marko) wrote :

My screen is also flickering every few seconds, also outside X, in terminal.
I have Ubuntu 10.10 x64 with ATI Radeon X1300 [RV515].
Adding radeon.new_pll=0 to the kernel command line did not solve the issue for me.

Then i installed and booted the kernel from here http://people.canonical.com/~sconklin/radeon_flicker/
And it worked! No more flickering here. However driver is still not fully functional, no desktop effects with compiz.

Steve Conklin (sconklin) on 2011-01-03
Changed in linux (Ubuntu):
assignee: Steve Conklin (sconklin) → Ubuntu Kernel Team (ubuntu-kernel-team)
Changed in linux (Ubuntu):
status: In Progress → Triaged
Trond Husoe (tr-huso) wrote :

I am experiencing the flicker but with intel graphics card. Is this the same bug number, or shall I search for another one?

Paolo Pelloni (briga) wrote :

I had the same issue but I would like to add more details.

Running Natty from Alpha 3 on a RV530 (radeon X1600).

With no kernel options
> grub is 4 char offset on the left
> boot logo (ubuntu) is half off on the right (as if the monitor was half size of video)
> gdm perfect
> as soon as I login flickers to black for 1 sec every 15 seconds
> unity loads but doesn't work well (transparencies, missing icon, they appear only when rollover with the mouse)

Booting with nomodeset
> grub is 4 char offset on the left
> boot logo is low res but OK
> gdm perfect
> no flickering but no compiz no unity, only classic desktop (gnome)

Booting with radeon.new_pll=0
> grub is 4 char offset on the left
> boot logo is low back to half off the screen
> gdm perfect
> no flickering but no compiz no unity, only classic desktop (gnome), as in nomodeset

I hope it helps.

Paolo Pelloni (briga) wrote :

Well I finally realised that if I kill upowerd and gnome-power-manager the flickering stops ....

gluxon (bcheng-gt) wrote :

Ubuntu 11.04 (beta 1) fixes this issue. However, if you leave radeon.new_pll=0 in your boot parameters, then 3D Hardware Acceleration will fail to start. Meaning compositing managers like compiz won't work.

mckeimic, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
assignee: Ubuntu Kernel Team (ubuntu-kernel-team) → nobody
status: Triaged → Incomplete

On Tue, 2013-09-10 at 11:40 +0000, Christopher M. Penalver wrote:
> mckeimic, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue? If
> so, could you please test for this with the latest development release
> of Ubuntu? ISO images are available from http://cdimage.ubuntu.com
> /daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
> kernel-fixed-upstream
> kernel-fixed-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested. For example:
> kernel-fixed-upstream-v3.11
>
> This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
> needs-upstream-testing
>
> If the mainline kernel does not fix this bug, please add the following tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-VERSION-NUMBER
>
> As well, please remove the tag:
> needs-upstream-testing
>
> Once testing of the upstream kernel is complete, please mark this bug's
> Status as Confirmed. Please let us know your results. Thank you for your
> understanding.
>
> ** Changed in: linux (Ubuntu)
> Status: Triaged => Incomplete
>
> ** Changed in: linux (Ubuntu)
> Assignee: Ubuntu Kernel Team (ubuntu-kernel-team) => (unassigned)
>

Hi Christopher,
If I remember correctly I got in touch with a kernel/X developer who
pointed me in direction of a newer kernel. This fixed the flickering
(which was really annoying).
I am now on 12.04 and the flickering is gone. I'm not sure if you can
mark this bug as corrected, but it was fixed in a newer kernel.

I cannot find the answer email and it's been an ubuntu upgrade since
then, so can't give you much help with which kernel I used (it was
something with 999 in it, but that is close to what I remember)

Thanks for following up.

Trond

mckeimic (mckeimic-gmail) wrote :

Hello, I'm afraid I reported this in high school and have since changed computers twice. I suspect this is no longer an issue with the updated kernel, though I can verify when I return home in a week or so. Otherwise, for my personal use I would consider this closed. Thank you!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.